public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: STABLE3 - cman init: readd support for fence_xvmd standalone operations
Date: Tue, 30 Jun 2009 10:13:00 -0000	[thread overview]
Message-ID: <20090630101256.D272A120383@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=8bd2da7c40ffc74f8ec8c0d0026b1ae1936611c1
Commit:        8bd2da7c40ffc74f8ec8c0d0026b1ae1936611c1
Parent:        87076cf3354bdacdabe9fddf9b43b6080e33bca0
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Tue Jun 30 12:12:20 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Tue Jun 30 12:12:20 2009 +0200

cman init: readd support for fence_xvmd standalone operations

for some reason this patch was lost. Readd it.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 7e55705..e48300d 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -640,6 +640,12 @@ start()
 
 	echo $echoarg "Starting cluster: "
 
+	runwrap start_fence_xvmd \
+		fence_xvmd_standalone \
+		"Starting virtual machine fencing host (standalone)"
+
+	fence_xvmd_standalone && exit 0
+
 	runwrap start_global \
 		none \
 		"Global setup"
@@ -710,6 +716,12 @@ stop()
 	echo $echoarg "Stopping cluster: "
 
 	runwrap stop_fence_xvmd \
+		fence_xvmd_standalone \
+		"Stopping virtual machine fencing host (standalone)"
+
+	fence_xvmd_standalone && exit 0
+
+	runwrap stop_fence_xvmd \
 		fence_xvmd_enabled \
 		"Stopping virtual machine fencing host"
 
@@ -756,6 +768,11 @@ stop()
 
 cmanstatus()
 {
+	if fence_xvmd_standalone; then
+		errmsg=$( status fence_xvmd 2>&1 ) || return 1
+		return 0
+	fi
+
 	errmsg=$( status corosync 2>&1 ) || return 1
 
 	if ! cman_running; then
@@ -810,7 +827,11 @@ restart|reload)
 ;;
 status)
 	if cmanstatus; then
-		echo "cluster is running."
+		if fence_xvmd_standalone; then
+			echo "fence_xvmd standalone is running."
+		else
+			echo "cluster is running."
+		fi
 	else
 		echo $errmsg
 		rtrn=1


                 reply	other threads:[~2009-06-30 10:13 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090630101256.D272A120383@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).